Bug 989610 - Navigation API portlet is not rendered correctly after first adding to the page
Navigation API portlet is not rendered correctly after first adding to the page
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER05
: 6.1.0
Assigned To: Peter Palaga
Dominik Pospisil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 12:18 EDT by Filip Kiss
Modified: 2013-11-01 04:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
portlet is not displayed correctly (92.14 KB, image/png)
2013-07-29 12:19 EDT, Filip Kiss
no flags Details

  None (edit)
Description Filip Kiss 2013-07-29 12:18:17 EDT
Description of problem:
Navigation API portlet is not rendered correctly after first adding to the page. When you refresh the page, portlet is rendered correctly.
Comment 1 Filip Kiss 2013-07-29 12:19:39 EDT
Created attachment 780013 [details]
portlet is not displayed correctly
Comment 4 Viliam Rockai 2013-08-07 06:14:56 EDT
The problem is caused by missing portlet-skin definition in the gatein-reources.xml of the navigation API portlet. While the GateIn uses the skin named "Default", the JPP uses the skin named "JppSkin". 

If you want portlets to use correct CSS files, you have to specify it for each skin used. For default portlets used in GateIn/JPP this (additional definition for JppSkin) is done within the gatein-resources.xml of the branding skin:

https://github.com/gatein-prod/gatein-portal/blob/3.6.x-prod/packaging/jpp-branding/branding-skin/src/main/webapp/WEB-INF/gatein-resources.xml#L39

We're missing this for the QS portlet. 

The solution would be pasting this code:
<portlet-skin>
    <application-name>navigation-api-portlet</application-name>
    <portlet-name>QuickstartNavigationPortlet</portlet-name>
    <skin-name>JppSkin</skin-name>
    <css-path>/css/QuickstartStylesheet.css</css-path>
</portlet-skin>

on this place:
https://github.com/gatein/gatein-portal-quickstart/blob/master/navigation-api-portlet/src/main/webapp/WEB-INF/gatein-resources.xml#L57

in the productized QS repo.
Comment 5 Boleslaw Dawidowicz 2013-08-07 06:16:20 EDT
Peter, maybe we could do this as part of QS productization

Note You need to log in before you can comment on or make changes to this bug.